unit uWantedClass;

interface

uses SysUtils;

type
  TWantedClass = Class(TObject)
  protected
    function GetWanted1 : Integer;
    function GetWanted2 : String;
  public
    Constructor Create;
  end;


implementation

{ TWantedClass }

constructor TWantedClass.Create;
begin
  Randomize;
end;

function TWantedClass.GetWanted1: Integer;
begin
  Result := Random(10000);
end;

function TWantedClass.GetWanted2: String;
begin
  Result := FloatToStr(Random(20000));
end;

end.
 